
From: "Patrick J. LoPresti" <patl@users.sourceforge.net>

This patch changes default_cylinders, default_heads,
default_sectors_per_track, legacy_max_cylinder, legacy_max_head,
legacy_sectors_per_track, and sectors to decimal.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/firmware/edd.c |   14 +++++++-------
 1 files changed, 7 insertions(+), 7 deletions(-)

diff -puN drivers/firmware/edd.c~use-decimal-instead-of-hex-for-edd-values drivers/firmware/edd.c
--- 25/drivers/firmware/edd.c~use-decimal-instead-of-hex-for-edd-values	2004-06-02 23:58:46.258392768 -0700
+++ 25-akpm/drivers/firmware/edd.c	2004-06-02 23:58:46.264391856 -0700
@@ -330,7 +330,7 @@ edd_show_legacy_max_cylinder(struct edd_
 	if (!info || !buf)
 		return -EINVAL;
 
-	p += snprintf(p, left, "0x%x\n", info->legacy_max_cylinder);
+	p += snprintf(p, left, "%u\n", info->legacy_max_cylinder);
 	return (p - buf);
 }
 
@@ -345,7 +345,7 @@ edd_show_legacy_max_head(struct edd_devi
 	if (!info || !buf)
 		return -EINVAL;
 
-	p += snprintf(p, left, "0x%x\n", info->legacy_max_head);
+	p += snprintf(p, left, "%u\n", info->legacy_max_head);
 	return (p - buf);
 }
 
@@ -360,7 +360,7 @@ edd_show_legacy_sectors_per_track(struct
 	if (!info || !buf)
 		return -EINVAL;
 
-	p += snprintf(p, left, "0x%x\n", info->legacy_sectors_per_track);
+	p += snprintf(p, left, "%u\n", info->legacy_sectors_per_track);
 	return (p - buf);
 }
 
@@ -375,7 +375,7 @@ edd_show_default_cylinders(struct edd_de
 	if (!info || !buf)
 		return -EINVAL;
 
-	p += scnprintf(p, left, "0x%x\n", info->params.num_default_cylinders);
+	p += scnprintf(p, left, "%u\n", info->params.num_default_cylinders);
 	return (p - buf);
 }
 
@@ -390,7 +390,7 @@ edd_show_default_heads(struct edd_device
 	if (!info || !buf)
 		return -EINVAL;
 
-	p += scnprintf(p, left, "0x%x\n", info->params.num_default_heads);
+	p += scnprintf(p, left, "%u\n", info->params.num_default_heads);
 	return (p - buf);
 }
 
@@ -405,7 +405,7 @@ edd_show_default_sectors_per_track(struc
 	if (!info || !buf)
 		return -EINVAL;
 
-	p += scnprintf(p, left, "0x%x\n", info->params.sectors_per_track);
+	p += scnprintf(p, left, "%u\n", info->params.sectors_per_track);
 	return (p - buf);
 }
 
@@ -420,7 +420,7 @@ edd_show_sectors(struct edd_device *edev
 	if (!info || !buf)
 		return -EINVAL;
 
-	p += scnprintf(p, left, "0x%llx\n", info->params.number_of_sectors);
+	p += scnprintf(p, left, "%llu\n", info->params.number_of_sectors);
 	return (p - buf);
 }
 
_
